Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
vanmanh192hd

(Lisp) Vẽ Nhanh Đường Tròn

Các bài được khuyến nghị

Chào tất cả anh em.

Mình muốn viết một chương trình vẽ đường tròn đi qua một điểm và tiếp tuyến với một đường thẳng.

Yêu cầu cụ thể như sau: nhập lệnh CCC => chọn tâm đường tròn(p1)=> chọn đường thẳng. Khi đó chương trình sẽ tạo ra một đường tròn với tâm là p1 và tiếp tuyến với đường tròn đó

. và nếu tiếp tục chọn đường thẳng thứ 2 thì chương trình lại vẽ ra đường tròn tâm p1 và tiếp tuyến với đường thẳng vừa chọn

Rất mong được anh em giúp đỡ

  • Vote giảm 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bee    108

Chào tất cả anh em.

Mình muốn viết một chương trình vẽ đường tròn đi qua một điểm và tiếp tuyến với một đường thẳng.

Yêu cầu cụ thể như sau: nhập lệnh CCC => chọn tâm đường tròn(p1)=> chọn đường thẳng. Khi đó chương trình sẽ tạo ra một đường tròn với tâm là p1 và tiếp tuyến với đường tròn đó

. và nếu tiếp tục chọn đường thẳng thứ 2 thì chương trình lại vẽ ra đường tròn tâm p1 và tiếp tuyến với đường thẳng vừa chọn

Rất mong được anh em giúp đỡ

(defun c:ccc () (command "CIRCLE" pause "per"))

 

Cad mới thì dùng command multiple lặp lại lệnh.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Danh Cong    108

Lúc trước bạn đưa hình ảnh lên, tôi xem thấy hình vẽ như những bài tập vẽ kỹ thuật .

Vậy nên.

- Nếu bạn chỉ muốn viết lisp để giải quyết những bài toán như các bài tập vẽ kỹ thuật thì ko nên dùng lisp. Cứ thao tác tay cho nhuần nhuyễn....

- Nếu số lượng hình vẽ lớn, thao tác mất nhiều thời gian. Thì mới nên dùng lisp bạn ah. 

Bài toán của bạn, các anh chị viết ko khó đâu. Mỗi tội có ai muốn viết để bạn làm biếng với chính bản thân hay ko .  :)  :)  :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bee    108

Bạn có thể viết cho mình đoạn lặp đó ko. Mình ko biết làm thế nào

(defun c:ccc  (/ pt)
  (while (setq pt (getpoint "\nChon tam duong tron: "))
    (command "CIRCLE" pt "_per" pause)
    )
  )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×